<?php
use Adianti\Database\TRecord;
class Movimento extends TRecord
{
    const TABLENAME = 'tbl_movi';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'max'; // {max, serial}

    use SystemChangeLogTrait;

    public function __construct($id = NULL)
    {
        parent::__construct($id);
        parent::addAttribute('dia');
        parent::addAttribute('usuario');
        parent::addAttribute('maquina');
        parent::addAttribute('descricao');
        parent::addAttribute('visita');
        parent::addAttribute('valor');
        parent::addAttribute('fechado');
    }
}
?>